<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>The HTML Formatter</title><link rel="stylesheet" href="synopsis.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.73.2" /><link rel="start" href="index.html" title="Synopsis Tutorial" /><link rel="up" href="processors.html" title="Chapter 4. Processor Design" /><link rel="prev" href="dot-formatter.html" title="The Dot Formatter" /><link rel="next" href="sxr-formatter.html" title="The SXR Formatter" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">The HTML Formatter</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="dot-formatter.html">Prev</a> </td><th width="60%" align="center">Chapter 4. Processor Design</th><td width="20%" align="right"> <a accesskey="n" href="sxr-formatter.html">Next</a></td></tr></table></div><div class="section" lang="en" xml:lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="html-formatter"></a>The HTML Formatter</h2></div></div></div><p>The HTML formatter generates html output. It is designed 
        in a modular way, to let users customize in much detail how
        to format the data. All output is organized by a set of 
        <span class="emphasis"><em>views</em></span>, which highlight different aspects of data.
        Some views show the file / directory layout, others group declarations by 
        scopes, or provide an annotated (and cross-referenced) source view.</p><p>By default the formatter generates its output using frames. The views
        are formatter parameters. <code class="varname">index</code> is a list of views that
        fill the upper-left index frame. <code class="varname">detail</code> is a list of
        views for the lower-left detail frame, and <code class="varname">content</code>
        sets all the views for the main content frame.</p><div class="mediaobject" align="center"><img src="images/html-screenshot.png" align="middle" width="432" /></div><p>When the <code class="varname">index</code> and <code class="varname">detail</code> arguments
        are empty lists, non-framed html will be generated.</p><p>Here are the most important <span class="type">View</span> types:</p><div class="variablelist"><dl><dt><span class="term">Scope</span></dt><dd><p>The most important view for documentation purposes is doubtless the
              <span class="type">Scope</span> view. It presents all declaration in a given scope,
              together with a number of references to other views if appropriate.
            </p></dd><dt><span class="term">InheritanceGraph</span></dt><dd><p>A UML-like inheritance diagram for all classes.</p></dd><dt><span class="term">NameIndex</span></dt><dd><p>A global index of all declared names (macros, variables, types, ...)</p></dd><dt><span class="term">Source</span></dt><dd><p>A cross-referenced view of a source file.</p></dd><dt><span class="term">XRef</span></dt><dd><p>A listing of symbols with links to their documentation, definition, and reference.</p></dd><dt><span class="term">FileDetails</span></dt><dd><p>Shows details about a given file, such as what other files are included, what declarations it contains, etc.</p></dd><dt><span class="term">Directory</span></dt><dd><p>Presents a directory (of source files). This is typically used
              in conjunction with the Source view above.</p></dd><dt><span class="term">FileTree</span></dt><dd><p>A javascript-based file tree view suitable for the index frame
              for navigation.</p></dd><dt><span class="term">ModuleTree</span></dt><dd><p>A javascript-based module tree view suitable for the index frame
              for navigation.</p></dd></dl></div></div><div class="navfooter"><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="dot-formatter.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="processors.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="sxr-formatter.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">The Dot Formatter </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> The SXR Formatter</td></tr></table></div></body></html>
